# COVID-19 simulation (v2)- An Interactive Tool for Analyses of Phased Reopening Decisions

## About - Version 2  [Run model (link)](https://colab.research.google.com/drive/1c-abLtgDlDz4YNLw9WU1f0DvQil1RQEd?authuser=1#) 
- An interactive user-friendly simulation tool
- Evaluate impact of combinations of social distancing, contact tracing and testing, and universal testing - for New York. 
- Conduct comparative analyses of muliple alternative decision scenarios

## Instructions - run simulation and evaluate decisions 
1. Click on run model link to open in Google Colab - you will have to log in to your google account for the code to work. The simulation model is built in Python, if you run it in Colab, no software installation is needed.

     [Run model (link)](https://colab.research.google.com/drive/1c-abLtgDlDz4YNLw9WU1f0DvQil1RQEd?authuser=1#) 
      
2. In Google Colab, click on 'Runtime-->Run all'. Follow instructions given by the model to enter decisons you would like to evaluate 
   
## Model download and info
 
   - [Model on GitHub](https://github.com/diseasemodeling/COVID19-v2) 
   - [Methodology](Methodology-v2.pdf) 
   - Sample run [Sample user-entered decision](samples/Sample-Decision.png)- [Corresponding results](samples/SampleRun-results.pdf)  Compares 2 scenarios: \
      a) Maximum contact reduction (only essential services open) \
      b) Phasing out social distancing, while combining with increased contact tracing and testing.
   

### Open access
The tool is open access and can be used for your own analyses, citing instructions [![DOI](https://zenodo.org/badge/266425269.svg)](https://zenodo.org/badge/latestdoi/266425269) \
For questions, comments, or interests in collaborations please contact the corresponding author. \
Corresponding author contact: Dr. Chaitra Gopalappa; email: chaitrag@umass.edu \ [Disease Modeling Lab, University of Massachusetts Amherst](https://blogs.umass.edu/chaitrag/chaitra-gopalappa/) \




